Subject: Re: [PATCH net-next 1/1] net: wwan: t7xx: Add port for modem logging

From: Jakub Kicinski <[email-masked]>
Date: Tue, 24 May 2022 11:04:26 -0700

On Mon, 23 May 2022 22:11:00 -0700 moises.veleta wrote:
> Is the issue with using the debugfs to send random data to the modem an 
> issue with validation?
> If so, what if the modem itself is validating the input string would 
> that suffice to allow this debugfs control port to act as the medium 
> between user space applications and the modem? Leaving the driver blind 
> to that process.
> Or is it preferable to have the driver do the validation on the user 
> space input to the modem?

Yes, the driver is not supposed to be blind to the process.